%global momorel 1

Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.4.9
Release:        %{momorel}m%{?dist}
Group:          System Environment/Base
License:        GPLv2+
Source0:        readahead-%{version}.tar.bz2

URL: 		https://fedorahosted.org/readahead/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): chkconfig, initscripts
Requires(preun):  chkconfig, initscripts
Requires:       procps gawk upstart util-linux-ng
BuildRequires:  e2fsprogs-devel
BuildRequires:  audit-libs-devel
# for /usr/bin/autopoint
BuildRequires: gettext-devel
Obsoletes: kernel-utils

%define pkgvardatadir %{_localstatedir}/lib/%{name}

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q

%build
%configure --sbindir=/sbin
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{pkgvardatadir}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
if [ "$1" = "0" ] ; then
 # for updating older packages with service files
 /sbin/service readahead_later stop >/dev/null 2>&1
 /sbin/chkconfig --del readahead_later  >/dev/null 2>&1
 /sbin/service readahead_early stop >/dev/null 2>&1
 /sbin/chkconfig --del readahead_early  >/dev/null 2>&1
 :
fi

%post
%{_sysconfdir}/cron.monthly/readahead-monthly.cron

%files -f %{name}.lang
%defattr(-,root,root,- )
%doc COPYING README lists/README.lists NEWS
%{_sysconfdir}/cron.daily/readahead.cron
%{_sysconfdir}/cron.monthly/readahead-monthly.cron
%config %{_sysconfdir}/readahead.conf
%dir %{pkgvardatadir}
%{_sysconfdir}/event.d/readahead-collector.event
%{_sysconfdir}/event.d/readahead-disable-services.event
%{_sysconfdir}/event.d/readahead.event
%config(noreplace) %{_sysconfdir}/sysconfig/readahead
/sbin/readahead
/sbin/readahead-collector

%changelog
* Thu Jun  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.9-1m)
- sync with Fedora 11 (1.4.9-1)
-- move /etc/readahead.d to /var/lib/readahead

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.7-2m)
- rebuild against rpm-4.6

* Sun Dec 21 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.7-1m)
- update to 1.4.7
- merge changes from fc-devel (readahead-1_4_7-1_fc10)
-- readahead is now executed by upstart
-- move readahead into /sbin

* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4, sync with Fedora

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-5m)
- add BuildRequires: gettext-devel

* Mon May 26 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-4m)
- add patch for glibc28

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-3m)
- rebuild against gcc43

* Sun Aug 12 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.1-2m)
- modified default.early default.later

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.1-1m)
- sync FC7
- modified default.early default.later

* Sat Aug 12 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3-1m)
- import from fc

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-1m)
- import from fc

* Fri Jan 13 2006 Karel Zak <kzak@redhat.com>
- check & cleanup list of files by readahead-gen script

* Wed Dec 21 2005 Karel Zak <kzak@redhat.com>
- removed double slashes in the directory names
- removed or fixed the rest of X11R6 directories

* Mon Dec 19 2005 Karel Zak <kzak@redhat.com>
- sync versioned gcc, firefox, openoffice.org, evolution dirs with FC5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug  4 2005 Dave Jones <davej@redhat.com>
- Integrated changes from Ville Skytta (#164872)
  - Fix inverted logic in readahead_early also.
  - readahead_early looks useful in more runlevels than just 5.
  - Sync versioned gcc, firefox and openoffice.org dirs with FC4 updates.

* Tue Aug  2 2005 Dave Jones <davej@redhat.com>
- Fix inverted free memory test in startup script. (#164872)

* Wed May 18 2005 Bill Nottingham <notting@redhat.com>
- new readahead.c from Ziga Mahkovec <ziga.mahkovec@klika.si>
  - optimizes read access for more throughput
- regenerate file lists (#128444)
- fix lack of newlines (#146744)
- fix lists so that they are architecture-neutral
- move check for > 384MB into the init scripts, not the %%post

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Thu Feb 10 2005 Dave Jones <davej@redhat.com>
- Remove non-existent files from file lists.

* Fri Jan 14 2005 Dave Jones <davej@redhat.com>
- Don't do readahead if we have less than 256MB of memory.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

